Flatpak issue

This topic contains 15 replies, has 8 voices, and was last updated by manyroads Aug 11-5:45 pm.

Viewing 15 posts - 1 through 15 (of 16 total)
  • Author
    Posts
  • #25466
    Member
    Avatar
    Danrobi

    Hello
    Im a flatpak user and Antix got issue with flatpak apps
    I’ve only tested 3 flatpak so far and only 1 is working without issue
    The not working flatpak are: Geary and Eolie
    qTox, qbittorrent and Freetube are working fine.
    Is flatpak having issue because theres no systemd?
    Thanks!

    • This topic was modified 2 months, 2 weeks ago by Danrobi.
    • This topic was modified 2 months, 2 weeks ago by Danrobi.
    • This topic was modified 2 months, 2 weeks ago by Danrobi.
    #25468
    Forum Admin
    rokytnji
    rokytnji

    What does terminal say in the ones that don’t work when launched from command line

    Sometimes I drive a crooked road to get my mind straight.
    Not all who Wander are Lost.
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #25470
    Member
    Avatar
    Danrobi

    Geary doesnt launch at all
    Geary terminal result:

    (geary:3): dconf-WARNING **: 09:47:41.412: failed to commit changes to dconf: Error spawning command line “dbus-launch --autolaunch=0589e5ee716be8758599a3b05d4a8d65 --binary-syntax --close-stderr”: Child process exited with code 1
    
    (geary:3): dconf-WARNING **: 09:47:41.501: failed to commit changes to dconf: Error spawning command line “dbus-launch --autolaunch=0589e5ee716be8758599a3b05d4a8d65 --binary-syntax --close-stderr”: Child process exited with code 1
    
    (geary:3): dconf-WARNING **: 09:47:41.501: failed to commit changes to dconf: Error spawning command line “dbus-launch --autolaunch=0589e5ee716be8758599a3b05d4a8d65 --binary-syntax --close-stderr”: Child process exited with code 1
    *[wrn] 09:47:41 0.137589 GLib-GObject: value "-1" of type 'gint' is invalid or out of range for property 'position' of type 'gint'
    ![crt] 09:47:41 0.004965 libunity: file unity-launcher.c: line 1617: unexpected error: Error spawning command line “dbus-launch --autolaunch=0589e5ee716be8758599a3b05d4a8d65 --binary-syntax --close-stderr”: Child process exited with code 1 (g-spawn-exit-error-quark, 1)
    ![crt] 09:47:41 0.000034 libunity: unity_launcher_entry_dbus_impl_construct: assertion 'conn != NULL' failed
    ![crt] 09:47:41 0.003425 libunity: unity-inspector.vala:96: Unable to connect to session bus: Error spawning command line “dbus-launch --autolaunch=0589e5ee716be8758599a3b05d4a8d65 --binary-syntax --close-stderr”: Child process exited with code 1
    *[wrn] 09:47:41 0.003291 libnotify: Failed to connect to proxy
    *[wrn] 09:47:41 0.000850 GLib-GObject: value "-1" of type 'gint' is invalid or out of range for property 'position' of type 'gint'
    ![???] 09:47:41 0.046940 geary: geary-controller.vala:349: Error opening libsecret: Error spawning command line “dbus-launch --autolaunch=0589e5ee716be8758599a3b05d4a8d65 --binary-syntax --close-stderr”: Child process exited with code 1

    ————————————————————————————————————————————————
    Eolie run broken, doesnt close and does seems to have issue with search engine. Never had any issue with Eolie on any other distro
    Eolie terminal result:

    [ERROR] 2019-08-07 09:55:16 Application::__create_initial_windows(): [Errno 2] No such file or directory: '/home/demo/.var/app/org.gnome.Eolie/data/eolie/pinned.bin'
    [ERROR] 2019-08-07 09:55:16 DBusHelper::connect(): 'NoneType' object has no attribute 'signal_subscribe'
    Traceback (most recent call last):
      File "/app/lib/python3.7/site-packages/eolie/extension_proxy.py", line 638, in __on_page_created
        jsblock_extension)
      File "/app/lib/python3.7/site-packages/eolie/extension_proxy.py", line 160, in __init__
        addr = Gio.dbus_address_get_for_bus_sync(Gio.BusType.SESSION, None)
    gi.repository.GLib.Error: g-spawn-exit-error-quark: Error spawning command line “dbus-launch --autolaunch=0589e5ee716be8758599a3b05d4a8d65 --binary-syntax --close-stderr”: Child process exited with code 1 (1)
    • This reply was modified 2 months, 1 week ago by Danrobi.
    #25476
    Forum Admin
    anticapitalista
    anticapitalista

    Hello

    Is flatpak having issue because theres no systemd?
    Thanks!

    Probably.

    Philosophers have interpreted the world in many ways; the point is to change it.

    #25478
    Member
    Avatar
    PPC

    I don’t think so, as far as I read, the flatpak application itself currently has no systemd dependencies… But perhaps the flatpak applications you installed are missing something (systemd or something else)? That sometimes happens in some appimage applications…

    P.

    #25483
    Forum Admin
    dolphin_oracle
    dolphin_oracle

    check to make sure you have xdg-desktop-portal packages installed (i forget the exact name of the packages).

    • This reply was modified 2 months, 2 weeks ago by dolphin_oracle.
    #25500
    Member
    Avatar
    Danrobi

    Hello
    I now have xdg-desktop-portal and xdg-desktop-portal-gtk installed
    I rebooted and the Flatpak issue still remains for Eolie and Geary
    I’ve just tried qbittorrent and freetube they’re working just fine

    • This reply was modified 2 months, 2 weeks ago by Danrobi.
    • This reply was modified 2 months, 2 weeks ago by Danrobi.
    • This reply was modified 2 months, 2 weeks ago by Danrobi.
    #25512
    Member
    Avatar
    Danrobi

    Another weird flatpak issue
    I installed the file manager Dolphin
    Dolphin flatpak doesnt have the access right to read my USB drives

    • This reply was modified 2 months, 2 weeks ago by Danrobi.
    #25549
    Member
    Avatar
    Danrobi

    Another issue with flatpak app
    Gnome twitch doesnt play any sounds
    I’ve tried with both Gstreamer player
    I have this in terminal

    AL lib: (EE) ALCplaybackAlsa_open: Could not open playback device 'default': Connection refused
    AL lib: (EE) ALCplaybackAlsa_open: Could not open playback device 'default': Connection refused
    • This reply was modified 2 months, 1 week ago by Danrobi.
    • This reply was modified 2 months, 1 week ago by Danrobi.
    #25558
    Avatar
    Anonymous

    Another issue with flatpak app …

    Don’t you want to go to Flatpak forums for all your problems with Flatpaks?

    I mean seriusly … reboot your brain, inform yourself about the Flatpak and about the kind of applications that don’t run properly.

    Than think about antiX … “OS for the ancient HW” with “Anti” attitude … “don’t want anything sane” …

    Don’t want systemd, don’t want gnome dependencies, don’t want kde framework …

    And than think of the majority of developers …

    Anybody sane is using either Gnome3 or KDE Plasma.

    That’s what they use for developing and that’s what they use for testing.

    Geary, Eolie, Gnome Twitch … all heavy Gnome3 dependent.

    Dolphin is THE heart of KDE — heavy dependent.

    Eolie for example — it’s just a poor cuisine of Internet / Gnome-Web / Epiphany or however you name it.

    Name here or there, it’s a Webkit browser and it’s a part of Gnome3 platform.

    Try installing Epiphany on some pure KDE platform and it’ll pull 1 ~ 1.5 GB of Gnome3 dependencies.

    That Flatpak of such thing might run in trouble on antiX is not “another issue” — it’s to be expected.

    In fact, sometimes even the needed ‘components’ to make it work properly simply don’t exist at all.

    Maybe you’d rather change on something Gnome, if all your applications are so Gnome-dependent.

    #25566
    Member
    Avatar
    Danrobi

    Ok, fine!
    I thought flatpak was suppose to work with any linux distro
    Now, i see it could depend on the app
    You dont have to be a jerk tho
    I build house for living, for people to live in and play with their little PC!
    So i have noclue about PC’s
    But thanks!

    • This reply was modified 2 months, 1 week ago by Danrobi.
    • This reply was modified 2 months, 1 week ago by Danrobi.
    #25572
    Member
    Avatar
    PPC

    I thought flatpak was suppose to work with any linux distro
    Now, i see it could depend on the app

    The objective of “universal” file packages (like flatpak, appimage and snap) is, in fact, that the packaged app works in as many systems as possible- trying to include all the dependencies the app may need, but some apps that are heavily dependent on files that a certain Linux Desktop Enviroment has (for examples, files included in KDE or in GNOME), expect that the OS they will run on will already have those files. For example- if you want to run KDE’s file manager as a flatpak or appimage, it’s so integrated with KDE’s dependencies that it may not work well in a OS that does not already have KDE installed. A good rule of thumb is: if the flatpak or appimage file you want to use is of some app that comes included with a Desktop Enviroment (DE) ( like KDE, GNOME, etc)- you have to be aware that it may not run in a different system (like antiX). If you really need that app, you may have to install KDE or GNOME- even if you don’t choose that DE for antiX, the needed dependencies will already be in your system, and the application may run well, even if you are not running that DE (but you end uop with a very bloated antiX)…

    Some folks here may sound a bit “harsh”, but no one wants to offend other people, here in the foruns… Ask anything you want (taking care to take a look at the forum, someone may have made a question similiar to your own and the answer may already be here). We even need to know where the right place to ask out question is… Sometimes we all forget we once were complete noobs 🙂

    P.

    #25573
    Member
    Avatar
    Danrobi

    Thank you PPC
    This PC thing it is so complicated.. its insane!
    Im coming from windows, 4 months ago. All i knew was click install, next and finish
    Ill probably be a noob 4ever.
    Thanks again

    • This reply was modified 2 months, 1 week ago by Danrobi.
    • This reply was modified 2 months, 1 week ago by Danrobi.
    • This reply was modified 2 months, 1 week ago by Danrobi.
    #25578
    Member
    christophe
    christophe

    I looked at flatpaks as perhaps something to explore, but quickly dropped the idea. I figured too much trouble since it’s not officially supported in antiX. Maybe one day, but I just stick to the tens-of-thousands of applications in the repositories we start with: Debian & antiX. If there’s some functionality I want/need, then I do an internet search for what I want, including “debian” & “linux” in the search, plus the best description I can think of for the program.

    For example, I needed a pdf reader that would allow me to save my place between session. I couldn’t figure out how to get Evince (that comes with antiX) to do that. I came up with a few options in the debian repositories, tested them, and found one that works perfectly for me (qpdfview).

    (That’s just my wonderful answer to a question nobody asked, but maybe it will help.)

    #25581
    Member
    Avatar
    Danrobi

    Yes, thats what i did with Dolphin. I installed Dolphin from Synaptic instead. That Dolphin is working fine.
    Flatpaks are not a real need, except for BeakerBrowser and qTox which both are working fine. So, thats good.

    • This reply was modified 2 months, 1 week ago by Danrobi.
    • This reply was modified 2 months, 1 week ago by Danrobi.
Viewing 15 posts - 1 through 15 (of 16 total)

You must be logged in to reply to this topic.